title: Ressources
icon: folder

tabs:
  content:
    label: Contenu
    icon: document
    columns:
      editorial:
        width: 1/3
        sections:
          content:
            type: fields
            fields:
              color: global/colors
              themeCat:
                label: Thèmes
                type: structure
                fields:
                  categories:
                    label: Catégorie parent
                    type: text
              subjectCat:
                label: Disciplines
                type: structure
                fields:
                  categories:
                    label: Catégorie parent
                    type: text
              locationCat:
                label: Lieux
                type: structure
                fields:
                  categories:
                    label: Catégorie parent
                    type: text
              # categories:
              #   type: structure
              #   fields:
              #     main:
              #       label: Catégorie parent
              #       type: text
              #     subcategories:
              #       label: Sous-catégories
              #       type: structure
              #       fields:
              #         category:
              #           label: Catégorie
              #           type: text
              intro:
                type: textarea
                size: medium
      creations:   
        width: 2/3
        sections:
          highlight: 
            type: fields
            fields:
              highlight:
                label: Mis en avant
                type: pages
                query: page.children.listed
          
          listed:
            extends: sections/resources
            headline: Ressources Publiées
            status: listed
            width: 1/2
          drafts:
            extends: sections/resources
            headline: Brouillons
            status: draft
            width: 1/2
  files:
    label: Fichiers
    icon: file-image
    sections:
      files:
        label: Fichiers
        type: files
  metadatas:
    label: Métadonnées
    icon: share
    columns:
      socialContent:
        fields:
          metaTitle:
            label: Titre SEO
            type: text
            maxlength: 160
            width: 1/2
          seoImage:
            label: Image SEO
            type: files
            template: image
            uploads:
              template: image
            multiple: false
            width: 1/2
          description:
            type: text
            maxlength: 160